Subject: Re: [ANNOUNCEMENT] Updated: cygwin-1.3.20-1
From: Tino Lange <[email-masked]>
To: Elfyn McBratney <[email-masked]>
Date: Sun, 09 Feb 2003 11:44:49 +0100

Max, Elfyn,

thanks for your quick help!

> [...] I suggest you reboot [...]

> [...] Shut down all running cygwin applications, including services started by
> cygrunsrv or at system start-up, [...]

You pointed me to the solution: Indeed there was one process still
running which I forgot to stop before upgrading.
I had stopped crond, sshd, all bashes, rxvts and so on, but I forgot the
ssh-agent!
After killing the ssh-agent everything works now fine again. I guess
there were wrong versions still in memory because of that running
cygwin-application.

> From your cygcheck output and from what you said about only having one copy
> of cygwin1.dll (you said/meant in C:\Cygwin right?) you do have two versions
> on your system. One is in C:\Cygwin and the other is in C:\Cygwin\bin

No that was a typo - I meant C:\Cygwin\bin\cygwin1.dll of course.
There was really only *one* cygwin1.dll on my system - but I guess the
other version was still in memory.

> For future referrence: When sending along cygcheck output it is asked of you
> that you attach it to the mail, *non-compressed* instead of dumping it in
> the mail. Don't mean to be rude but this can cause false-positives in the
> search engine ;-)

OK. No problem.

> This is real weird :/ Is this due to the modifications made to cygcheck in
> this (1.3.20) release? Just out of curiousity Tino, are you running cygcheck
> from DOS?

Nearly - from 4nt: because of the problems I couldn't start a bash to
run cygcheck from bash :-)

Once again thank you very much!

Tino

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/